{%- from "shuup/front/macros/product.jinja" import product_box with context -%}

{% macro render_wishlist_content() %}
    <div id="wishlist-products">
        <h2 class="mt-0 mb-5">{% trans %}Wishlist{% endtrans %}
            {% if wishlist_items %}({{ wishlist_items|length }}){% else %}(0){% endif %}
        </h2>
        <div class="wishlist-products">
            {% if wishlist_items and wishlist %}
                {% for shop_product in wishlist_items %}
                    {{ wishlist_product_card(shop_product.product, wishlist) }}
                {% endfor %}
            {% endif%}
        </div>
    </div>
{% endmacro %}

{% macro wishlist_product_card(product, wishlist=None) %}
    <div class="wishlist-product-card" style="position: relative;">
        <div class="remove-container">
            <button type="button" 
            class="remove-from-wishlist wishlist-remove-item-btn" 
            data-shop-product-id="{{ product.id }}"
            data-wishlist-id="{% if wishlist %}{{ wishlist.id }}{% endif %}"
            aria-label="{% trans %}Remove from wishlist{% endtrans %}"
            >
                <img width="24px" height="24px" src="{{ shuup_static('canvas/img/remove-from-wishlist.svg') }}">
            </button>
        </div>
        {{ product_box(product, show_user_actions=False, class="minified", quick_add=True) }}
    </div>
{% endmacro %}

<div id="wishlist-products">
    <h2 class="mt-0 mb-5">{% trans %}Wishlist{% endtrans %}
        {% if wishlist_items %}({{ wishlist_items|length }}){% else %}(0){% endif %}
    </h2>
    <div class="wishlist-products">
        {% if wishlist_items and wishlist %}
            {% for shop_product in wishlist_items %}
                {{ wishlist_product_card(shop_product.product, wishlist) }}
            {% endfor %}
        {% endif%}
    </div>
</div>
